Oracle Java SE 7 < Update 11 Multiple Vulnerabilities

high Nessus Plugin ID 63521
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Windows host contains a programming platform that is potentially affected by multiple vulnerabilities.

Description

The version of Oracle (formerly Sun) Java SE or Java for Business installed on the remote host is earlier than 7 Update 11 and is, therefore, potentially affected by the following security issues :

- An unspecified issue exists in the Libraries component. (CVE-2012-3174)

- An error exists in the 'MBeanInstantiator.findClass' method that could allow remote, arbitrary code execution.
(CVE-2013-0422)

Note that, according the advisory, these issues apply to client deployments of Java only and can only be exploited through untrusted 'Java Web Start' applications and untrusted Java applets.

Solution

Update to JDK / JRE 7 Update 11 or later and, if necessary, remove any affected versions.

See Also

https://www.zerodayinitiative.com/advisories/ZDI-13-002/

http://www.nessus.org/u?eaf95a3d

https://www.oracle.com/technetwork/java/javase/7u11-relnotes-1896856.html

Plugin Details

Severity: High

ID: 63521

File Name: oracle_java7_update11.nasl

Version: 1.18

Type: local

Agent: windows

Family: Windows

Published: 1/14/2013

Updated: 12/4/2019

Dependencies: sun_java_jre_installed.nasl

Risk Information

CVSS Score Source: CVE-2013-0422

VPR

Risk Factor: Critical

Score: 9.8

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 8.7

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: E:H/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 8.4

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:oracle:jre, cpe:/a:oracle:jdk

Required KB Items: SMB/Java/JRE/Installed

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 1/13/2013

Vulnerability Publication Date: 1/10/2013

Exploitable With

CANVAS (CANVAS)

Core Impact

Metasploit (Java Applet JMX Remote Code Execution)

Reference Information

CVE: CVE-2012-3174, CVE-2013-0422

BID: 57246, 57312

CERT: 625617

EDB-ID: 24045